/*
 * Copyright 2006 Travelocity.com L.P. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package midstream.framework.remoting.httpinvoker;

import midstream.framework.logging.EventLogger;
import org.springframework.remoting.support.RemoteInvocation;
import org.springframework.remoting.support.RemoteInvocationResult;

/**
 * @author Juan Hall
 */
public class HttpInvokerServiceExporter extends
    org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter {

  protected RemoteInvocationResult invokeAndCreateResult(
      RemoteInvocation remoteInvocation, Object object) {
    EventLogger log =
        new EventLogger(this.getServiceInterface().getSimpleName() + "." +
            remoteInvocation.getMethodName());

    try {
      log.logBegin();
      return super.invokeAndCreateResult(remoteInvocation, object);
    } catch (Throwable th) {
      log.logError(th);
      return new RemoteInvocationResult(th);
    } finally {
      log.logEnd();
    }
  }
}
