/*
 * Copyright 2006 Travelocity.com L.P. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package midstream.framework.jms.producer;

import midstream.framework.LoggingTestCase;
import org.junit.Test;
import org.springframework.jms.JmsException;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.jms.core.MessageCreator;

/**
 * @author Juan Hall
 */
public class JmsTemplateProxyFactoryBeanTest extends LoggingTestCase {

  @Test
  public void testAfterPropertiesSet() throws Exception {
    JmsTemplateProxyFactoryBean factoryBean = new JmsTemplateProxyFactoryBean();
    factoryBean.setTarget(new TestJmsTemplate());
    factoryBean.afterPropertiesSet();

    ((JmsTemplate) factoryBean.getObject()).send(null);

    assertTrue(logBuffer.getBuffer().indexOf("BEG|") != -1);
    assertTrue(logBuffer.getBuffer().indexOf("ERR|") == -1);
    assertTrue(logBuffer.getBuffer().indexOf("END|") != -1);
  }
}

class TestJmsTemplate extends JmsTemplate {
  @Override
  public void send(MessageCreator messageCreator) throws JmsException {
  }
}