/*
 * Copyright 2006 Travelocity.com L.P. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package midstream.framework.monitoring;

import com.jamonapi.Monitor;
import com.jamonapi.MonitorFactory;
import com.mockobjects.dynamic.Mock;
import java.io.PrintWriter;
import java.io.StringWriter;
import javax.servlet.http.HttpServletResponse;
import junit.framework.TestCase;
import org.junit.Test;

/**
 * @author Juan Hall
 */
public class MonitoringControllerTest extends TestCase {

  @Test
  public void testHandleRequestInternal() throws Exception {
    StringWriter sr = new StringWriter();
    Mock responseMock = new Mock(HttpServletResponse.class);
    responseMock.expectAndReturn("getWriter", new PrintWriter(sr));

    Monitor mon = MonitorFactory.start("test");
    mon.stop();

    new MonitoringController().handleRequestInternal(null,
        (HttpServletResponse) responseMock.proxy());

    assertTrue(sr.getBuffer().indexOf("<tr><td>test, ms.</td>") != -1);
    responseMock.verify();
  }
}
