/*
 * Copyright 2006 Travelocity.com L.P. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package midstream.framework.remoting.httpinvoker;

import java.io.Serializable;
import midstream.framework.LoggingTestCase;
import org.junit.Test;
import org.springframework.remoting.support.RemoteInvocation;

/**
 * @author Juan Hall
 */
public class HttpInvokerServiceExporterTest extends LoggingTestCase {

  @Test
  public void testInvokeAndCreateResult() {
    RemoteInvocation invocation = new RemoteInvocation("toString", null, null);

    HttpInvokerServiceExporter exporter = new HttpInvokerServiceExporter();
    exporter.setServiceInterface(Serializable.class);
    exporter.invokeAndCreateResult(invocation, new Object());

    assertTrue(logBuffer.getBuffer().indexOf("BEG|") != -1);
    assertTrue(logBuffer.getBuffer().indexOf("ERR|") == -1);
    assertTrue(logBuffer.getBuffer().indexOf("END|") != -1);
  }
}
