/*
 * Copyright 2006 Travelocity.com L.P. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package midstream.framework.remoting.xmlinvoker;

import java.io.Serializable;
import midstream.framework.LoggingTestCase;
import org.junit.Test;
import org.springframework.context.support.StaticApplicationContext;

/**
 * @author Juan Hall
 */
public class SoapInvokerServiceExporterTest extends LoggingTestCase {

  @Test
  public void testSetApplicationContext() {
    SoapInvokerServiceExporter exporter = new SoapInvokerServiceExporter();
    assertNull(exporter.getXfire());

    StaticApplicationContext context = new StaticApplicationContext();
    context.refresh();
    exporter.setApplicationContext(context);

    assertNotNull(exporter.getXfire());
  }

  @Test
  public void testGetProxyForService() throws Exception {
    StaticApplicationContext context = new StaticApplicationContext();
    context.refresh();

    SoapInvokerServiceExporter exporter = new SoapInvokerServiceExporter();
    exporter.setApplicationContext(context);
    exporter.setService("test");
    exporter.setServiceClass(Serializable.class);
    exporter.afterPropertiesSet();
    exporter.getProxyForService().toString();

    assertTrue(logBuffer.getBuffer().indexOf("BEG|") != -1);
    assertTrue(logBuffer.getBuffer().indexOf("ERR|") == -1);
    assertTrue(logBuffer.getBuffer().indexOf("END|") != -1);
  }
}
