/*
 * Copyright 2006 Travelocity.com L.P. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package midstream.util;

import com.intellij.openapi.projectRoots.JavaSdk;
import com.intellij.openapi.projectRoots.ProjectJdk;
import com.intellij.openapi.projectRoots.ProjectJdkTable;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Juan Hall
 */
public final class ProjectJdkDialogUtils {

  private ProjectJdkDialogUtils() {
  }

  public static String[] getAvailableJdkNames() {
    List<String> jdks = new ArrayList<String>(5);
    for (ProjectJdk jdk : ProjectJdkTable.getInstance().getAllJdks()) {
      jdks.add(jdk.getName());
    }
    return jdks.toArray(new String[0]);
  }

  public static ProjectJdk createJdk(String jdkName, String jrePath)
      throws Exception {
    return JavaSdk.getInstance().createJdk(jdkName, jrePath);
  }

  public static void addJdk(ProjectJdk jdk) {
    ProjectJdkTable.getInstance().addJdk(jdk);
  }
}
